#58684 closed defect (invalid)

openblas @0.3.6_1: build failure (command execution failed)

Reported by: hexadecagram (Anthony Chavez) Owned by: NicosPavlov
Priority: Normal Milestone:
Component: ports Version: 2.5.4
Keywords: Cc: michaelld (Michael Dickens)
Port: openblas

Description (last modified by mf2k (Frank Schima))

I have followed the instructions in ticket #58471 as well as ticket #57994:

% port installed cctools ld64\* cctools
The following ports are currently installed:
  cctools @921_2+xcode (active)
  ld64 @3_1+ld64_xcode (active)
  ld64-xcode @2_1 (active)

I have attached main.log.

Attachments (1)

main.log (3.1 MB) - added by hexadecagram (Anthony Chavez) 16 months ago.

Change History (7)

Changed 16 months ago by hexadecagram (Anthony Chavez)

Attachment: main.log added

comment:1 Changed 16 months ago by jmroot (Joshua Root)

Cc: michaelld added
Owner: set to NicosPavlov
Status: newassigned

comment:2 Changed 16 months ago by kencu (Ken)

:info:build ld: library not found for -lgcc_ext.10.5

please show results of:

port -v installed | grep libgcc

thanks, K

add - I have:

/opt/local/lib/libgcc/libgcc_ext.10.5.dylib

$ port provides /opt/local/lib/libgcc/libgcc_ext.10.5.dylib
/opt/local/lib/libgcc/libgcc_ext.10.5.dylib is provided by: libgcc9

so presumably your libgcc9 is somehow not active.

Last edited 16 months ago by kencu (Ken) (previous) (diff)

comment:3 Changed 16 months ago by mf2k (Frank Schima)

Description: modified (diff)

comment:4 Changed 16 months ago by hexadecagram (Anthony Chavez)

% port -v installed | grep libgcc
  libgcc @2.0_1 (active) platform='darwin 18' archs='noarch' date='2019-06-02T02:04:20-0700'
  libgcc8 @8.3.0_5 (active) platform='darwin 18' archs='x86_64' date='2019-06-02T02:04:40-0700'
  libgcc9 @9.1.0_2 platform='darwin 18' archs='x86_64' date='2019-06-02T02:04:18-0700'
% sudo port activate libgcc9
--->  Computing dependencies for libgcc9
--->  Activating libgcc9 @9.1.0_2
--->  Cleaning libgcc9
% sudo port install openblas
--->  Computing dependencies for OpenBLAS
--->  Building OpenBLAS
--->  Staging OpenBLAS into destroot
--->  Installing OpenBLAS @0.3.6_1+gcc9+lapack
--->  Activating OpenBLAS @0.3.6_1+gcc9+lapack
--->  Cleaning OpenBLAS
--->  Updating database of binaries
--->  Scanning binaries for linking errors
--->  No broken files found
--->  No broken ports found.
--->  Some of the ports you installed have notes:
  OpenBLAS has the following notes:
    This version is built based on a base architecture for convenience, 
    which may not be optimized for your system. To build a version 
    customized for your machine, use the +native variant

Should I uninstall gcc8 and libgcc8?

comment:5 Changed 16 months ago by kencu (Ken)

No, it’s okay to leave them active. Glad it worked out.

comment:6 Changed 16 months ago by kencu (Ken)

Resolution: invalid
Status: assignedclosed
Note: See TracTickets for help on using tickets.